using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace XLAB2
{
    public partial class TypeSizeDirectoryWindow : Window
    {
        private readonly TypeSizeDirectoryWindowViewModel _viewModel;

        public TypeSizeDirectoryWindow()
        {
            InitializeComponent();
            _viewModel = new TypeSizeDirectoryWindowViewModel(new TypeSizeDirectoryService(), new TypeSizeDialogService(this));
            DataContext = _viewModel;
        }

        private void DataGridRow_PreviewMouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            var row = sender as DataGridRow;
            if (row != null)
            {
                row.IsSelected = true;
                row.Focus();
            }
        }

        private async void Window_Loaded(object sender, RoutedEventArgs e)
        {
            await _viewModel.InitializeAsync();
        }
    }
}
